import styled, { css, keyframes } from 'react-emotion';
import { colorShadow } from 'unify-token/build/v2/colors';
import { GN500, NN0, NN100, NN900 } from 'unify-token/colors';
import { durationT3, easeOvershoot, easeInOut } from 'unify-token/build/v2/motions';
import { fontSizeLv2, fontSizeLv3 } from 'unify-token/build/v2/typographies';
import { focusStyle } from "../../build/Providers/common/style";
var fadeIn = keyframes("0%{opacity:0;transform:scale(0.7);}100%{opacity:1;transform:scale(1);}");
var fadeOut = keyframes("0%{opacity:1;transform:scale(1);}100%{opacity:0;transform:scale(0.7);}");
var breakpointTablet = 768;
export var AnimateZoom = styled("div", {
  target: "e1o2jwe00"
})("animation:", function (_ref) {
  var show = _ref.show;
  return show ? fadeIn : fadeOut;
}, " ", durationT3, " ", function (_ref2) {
  var show = _ref2.show;
  return show ? easeOvershoot : easeInOut;
}, ";transform-origin:", function (_ref3) {
  var transformOrigin = _ref3.transformOrigin;
  return transformOrigin;
}, ";");

var handleWidth = function handleWidth(width, hasFooter) {
  if (width) {
    return "width: ".concat(width, "px");
  } else {
    return hasFooter ? 'width: 100%' : '';
  }
};

var handleMediaTablet = function handleMediaTablet(hasFooter) {
  return hasFooter ? "" : "\n        @media (max-width: ".concat(breakpointTablet - 1, "px) {\n          min-width: 152px; /* plus padding right & left = 2 * 16px */\n          max-width: 344px; /* plus padding right & left = 2 * 8px */\n        }\n      ");
};

export var Wrapper = styled("div", {
  target: "e1o2jwe01"
})("position:", function (_ref4) {
  var isFixed = _ref4.isFixed;
  return isFixed ? 'fixed' : 'absolute';
}, ";top:0;left:0;transform:translate(", function (_ref5) {
  var x = _ref5.x,
      y = _ref5.y;
  return "".concat(x, "px, ").concat(y, "px");
}, ");z-index:", function (_ref6) {
  var zIndex = _ref6.zIndex;
  return zIndex ? zIndex : 60;
}, ";", function (_ref7) {
  var _ref7$width = _ref7.width,
      width = _ref7$width === void 0 ? 0 : _ref7$width,
      hasFooter = _ref7.hasFooter;
  return handleWidth(width, hasFooter);
}, ";outline:none;", function (_ref8) {
  var width = _ref8.width;
  return !width && "\n    @media (min-width: ".concat(breakpointTablet, "px) {\n      min-width: 152px;\n      max-width: 392px;\n    }\n  ");
}, " ", function (_ref9) {
  var hasFooter = _ref9.hasFooter,
      width = _ref9.width;
  return !width && handleMediaTablet(hasFooter);
});
export var Box = styled("div", {
  target: "e1o2jwe02"
})("padding:12px 16px;border-radius:8px;background-color:", NN900, ";color:", NN0, ";line-height:18px;margin:0 8px;box-shadow:2px 2px 16px ", colorShadow, ";position:relative;::before{content:'';position:absolute;left:0px;transform:rotate(45deg);width:16px;height:16px;z-index:-1;box-shadow:2px 2px 16px ", colorShadow, ";", function (_ref10) {
  var placement = _ref10.placement;
  return placement === 'top' ? 'bottom' : 'top';
}, ":2px;border-radius:4px;transform:", function (_ref11) {
  var arrowPosition = _ref11.arrowPosition,
      placement = _ref11.placement;
  return "translate(".concat(arrowPosition + 6, "px, ").concat(placement === 'top' ? 8 : -8, "px) rotate(45deg)");
}, ";}.unf-coachmark-v2__arrow{position:absolute;left:0px;height:24px;width:28px;", function (_ref12) {
  var placement = _ref12.placement;
  return placement === 'top' ? 'bottom' : 'top';
}, ":-8px;transform:", function (_ref13) {
  var arrowPosition = _ref13.arrowPosition,
      placement = _ref13.placement;
  return "translate(".concat(arrowPosition, "px, ").concat(placement === 'top' ? 8 : -8, "px) rotate(").concat(placement === 'top' ? 0 : 180, "deg)");
}, ";}.unf-coachmark-v2__body{display:flex;}.unf-coachmark-v2__content{flex:1 1 0;}.unf-coachmark-v2__title{font-size:", fontSizeLv3, ";font-weight:800;margin-bottom:", function (_ref14) {
  var hasFooter = _ref14.hasFooter;
  return hasFooter ? '8px' : '2px';
}, ";margin-right:20px;color:", NN0, ";}.unf-coachmark-v2__desc{font-size:", fontSizeLv2, ";margin-right:20px;}.unf-coachmark-v2__close-button{background-color:transparent;border:none;outline:none;width:32px;height:32px;background-position:center;background-repeat:no-repeat;position:absolute;top:4px;right:4px;", focusStyle, "}");
export var _title = css("font-weight:bold;");
export var CoachmarkFooter = styled("div", {
  target: "e1o2jwe03"
})("margin-top:16px;display:flex;justify-content:space-between;.unf-coachmark-steps__page-info{font-style:normal;font-weight:normal;font-size:12px;line-height:18px;color:", NN100, ";}.unf-coachmark-steps__next{margin-left:24px;}.unf-coachmark-steps__prev,.unf-coachmark-steps__next{background-color:transparent;border:none;outline:none;padding:0;font-family:inherit;font-style:normal;font-weight:800;font-size:14px;line-height:18px;color:", GN500, ";", focusStyle, "}");