import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["title", "activeTheme", "defaultTheme", "eventKey", "isShrinked", "className", "onClick", "isActive"];
import React, { useRef } from 'react';
import { cx } from 'react-emotion';
import Typography from "../../build/Typography";
import { _tabPaneItem } from "./styles";

var TabPaneItem = function TabPaneItem(props) {
  var title = props.title,
      activeTheme = props.activeTheme,
      defaultTheme = props.defaultTheme,
      eventKey = props.eventKey,
      isShrinked = props.isShrinked,
      className = props.className,
      onClick = props.onClick,
      isActive = props.isActive,
      otherProps = _objectWithoutProperties(props, _excluded);

  var itemRef = useRef(null);

  var handleClick = function handleClick(e) {
    onClick && onClick(e, eventKey);
  };

  return React.createElement("button", _extends({}, otherProps, {
    "aria-selected": isActive ? true : false,
    role: "tab",
    tabIndex: isActive ? 1 : -1,
    "data-key": "megaTab__pane__item-".concat(eventKey),
    ref: itemRef,
    onClick: handleClick,
    className: cx('megaTab__pane__item', _tabPaneItem(defaultTheme, activeTheme, isShrinked), isActive ? 'megaTab__pane__item--active' : '', className)
  }), React.createElement(Typography, {
    body: "paragraph-3",
    bold: true,
    className: "megaTab__pane__item__title"
  }, title));
};

TabPaneItem.defaultProps = {
  activeTheme: 'green',
  isActive: false,
  isShrinked: false
};
export default TabPaneItem;