import React from 'react';
export interface MegaTabProps {
    /**
     * Specify which TabItem is active
     */
    activeIndex?: number;
    /**
     * To set TabContent inside MegaTab
     */
    children?: React.ReactNode | React.ReactNode[];
    /**
     * Specify custom MegaTab className
     */
    className?: string;
    /**
     * Specify MegaTab items
     */
    items?: [];
    /**
     * Specify Top position of MegaTab
     */
    top?: number;
    /**
     * Specify zIndex value
     */
    zIndex?: number;
    /**
     * callback when the TabItem is clicked
     */
    onChange?: (e: React.ChangeEvent<HTMLButtonElement>, index: number) => void;
}
declare const _default: {
    (props: MegaTabProps): JSX.Element;
    propTypes: {
        activeIndex: import("prop-types").Requireable<number>;
        children: import("prop-types").Requireable<import("prop-types").ReactNodeLike[]>;
        className: import("prop-types").Requireable<string>;
        items: import("prop-types").Requireable<any[]>;
        top: import("prop-types").Requireable<number>;
        zIndex: import("prop-types").Requireable<number>;
        onChange: import("prop-types").Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        top: number;
        zIndex: number;
        items: any[];
    };
} & {
    Content: any;
};
export default _default;
