import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _typeof from "@babel/runtime/helpers/typeof";
import { css } from 'react-emotion';
import { durationT3, easeInOut } from 'unify-token/build/v2/motions';
import { NN0, NN600, TN600, TN400, BN400, BN600, PN400, PN600, RN400, RN600, YN400, YN600, NN200, GN600L, GN400L } from 'unify-token/colors';
import bgMegaTabActive from "../../build/Providers/assets/MegaTab/bg-megatab-active.svg";
import bgMegaTabDefault from "../../build/Providers/assets/MegaTab/bg-megatab-default.svg";
import { colorWhiteAlways, focusStyle } from "../../build/Providers/common/style";
var activeGradients = {
  green: ["var(--GN400, ".concat(GN600L, ")"), "var(--GN600, ".concat(GN400L, ")")],
  teal: [TN600, TN400],
  blue: [BN600, BN400],
  purple: [PN600, PN400],
  red: [RN600, RN400],
  yellow: [YN600, YN400]
};
var objActiveTheme = {
  backgroundImage: bgMegaTabActive,
  fontColor: colorWhiteAlways,
  backgroundColor: activeGradients['green']
};
var objDefaultTheme = {
  backgroundImage: bgMegaTabDefault,
  fontColor: NN600,
  backgroundColor: [NN0, NN0]
};

var getActiveTheme = function getActiveTheme(props) {
  var _activeTheme = {};

  switch (true) {
    case _typeof(props) === 'object':
      _activeTheme = _objectSpread(_objectSpread({}, objActiveTheme), props);
      break;

    default:
      _activeTheme = _objectSpread(_objectSpread({}, objActiveTheme), {}, {
        backgroundColor: props && activeGradients[props] ? activeGradients[props] : activeGradients['green']
      });
  }

  return _activeTheme;
};

var getDefaultTheme = function getDefaultTheme(props) {
  if (_typeof(props) === 'object') {
    return _objectSpread(_objectSpread({}, objDefaultTheme), props);
  } else {
    return objDefaultTheme;
  }
};

var handleBackgroundColor = function handleBackgroundColor(props) {
  switch (true) {
    case typeof props === 'string':
      return ", ".concat(props);

    case props.length === 1:
      return ", ".concat(props.join());

    default:
      return ", linear-gradient(90deg, ".concat(props[0], " 0%, ").concat(props[1], " 100%)");
  }
};

var _ref = "position:sticky;top:";
var _ref2 = "px;background-color:transparent;z-index:";
var _ref3 = ";height:68px;.megaTab__pane__placeholder{height:68px;overflow:hidden;background-color:";
var _ref4 = ";padding:8px 0;transition:height ";
var _ref5 = " ";
var _ref6 = ";&.is-pinned{box-shadow:rgb(0 0 0 / 15%) 0px 3px 3px 0px;&.is-shrinked{height:52px;}}}.megaTab__pane__nav{display:flex;overflow:scroll;padding-bottom:20px;padding-right:28px;padding-left:8px;width:calc(100vw + 16px);}";
export var _megaTab = function _megaTab(top, zIndex) {
  return css(_ref, top, _ref2, zIndex, _ref3, NN0, _ref4, durationT3, _ref5, easeInOut, _ref6);
};
var _ref7 = "position:relative;overflow:hidden;flex-shrink:0;width:104px;height:";
var _ref8 = ";border:solid 1px ";
var _ref9 = ";border-radius:8px;font-size:12px;font-weight:800;line-height:16px;margin:0 0 0 8px;padding:0;text-align:left;box-sizing:border-box;transition:height ";
var _ref10 = " ";
var _ref11 = ";background:url(";
var _ref12 = ") ";
var _ref13 = ";";
var _ref14 = " .megaTab__pane__item__title{position:absolute;top:0;z-index:2;overflow:hidden;color:";
var _ref15 = ";";
var _ref16 = "}&.megaTab__pane__item--active{background:url(";
var _ref17 = ") ";
var _ref18 = ";color:";
var _ref19 = ";border:none;.megaTab__pane__item__title{margin:";
var _ref20 = ";color:";
var _ref21 = ";}}";
export var _tabPaneItem = function _tabPaneItem(defaultTheme, activeTheme, isShrinked) {
  var _activeTheme = getActiveTheme(activeTheme);

  var _defaultTheme = getDefaultTheme(defaultTheme);

  return css(_ref7, isShrinked ? '36px' : '52px', _ref8, NN200, _ref9, durationT3, _ref10, easeInOut, _ref11, _defaultTheme.backgroundImage, _ref12, handleBackgroundColor(_defaultTheme.backgroundColor), _ref13, focusStyle, _ref14, _defaultTheme.fontColor, _ref15, isShrinked ? "\n      display: block;\n      white-space: nowrap;\n      text-overflow: ellipsis;\n      width: 80px;\n      margin: 9px 8px;\n      " : "\n      display: -webkit-box;\n      -webkit-line-clamp: 2;\n      -webkit-box-orient: vertical;\n      margin: 9px 8px 7px;\n    ", _ref16, _activeTheme.backgroundImage, _ref17, handleBackgroundColor(_activeTheme.backgroundColor), _ref18, NN0, _ref19, isShrinked ? '10px 9px' : '10px 9px 8px', _ref20, _activeTheme.fontColor, _ref21);
};
export var _tabContent = focusStyle;